Caudium 服务器

PHP 4 可以被编译为 » Caudium web 服务器的一个 Pike 模块。注意 PHP 3 中不支持。请参考下面的安装说明以将 PHP 4 安装到 Caudium 服务器中。

例 2.5. Caudium 安装指南

1.  在安装 PHP 4 之前请确认已经正确安装了 Caudium 服务器。
   要想使 PHP 4 正确的工作,还需要 Pike 7.0.268 或更高版本。
   为了方便起见,我们假定 Caudium 安装在 /opt/caudium/server/ 中。
2.  进入目录 php-x.y.z (x.y.z 是 PHP 的版本号)。
3.  ./configure --with-caudium=/opt/caudium/server
4.  make
5.  make install
6.  如果 Caudium 正在运行请重新启动它。
7.  登录图形配置界面,进入需要 PHP 4 支持的虚拟服务器。
8.  点击 Add Module 之后点击 locate,然后添加 PHP 4 脚本支持模块。
9.  如果出现“PHP 4 interpreter isn't available”的错误提示,
   请重新启动 web 服务器。如果还是不行,请检查
   /opt/caudium/logs/debug/default.1 中是否有与
   <filename>PHP4.so</filename> 文件相关的错误。也要查看
   <filename>caudium/server/lib/[pike-version]/PHP4.so</filename>
   这个文件是否存在。
10. 如果需要,请配置 PHP 脚本支持模块。

当然可以将各种 PHP 4 的扩展模块编译到 Caudium 服务器中。请参考扩展库各自配置选项的说明。

注意:

当编译 PHP 4 的 MySQL 的支持时,必须确认使用了正常的 MySQL 客户端代码。否则如果 Pike 已经支持 MySQL,就会产生冲突。应该在编译的时候使用 --with-mysql 选项指定 MySQL 的安装目录。